QGIS composer changing legend position when exporting

2018-10-12 08:58 PM - Clément Ronzon

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.24 Regression?: Yes

Operating System: OS X El Capitan Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 27917

Description

I'm observing the same issue than this question, happening when the checkbox " Main properties > Resize to fit contents " is checked.

Also I can observe that the Y position on page n is what should have been set as Y position calculated for page n-1.

For example is the legend was tall on page 2, and short on page 3 then it is floating high on page 3 instead of being anchored at the bottom

of the page where I want it.

The upvoted answer in the provided reference won't fix the issue, in my case. The only way that I found is unchecking " Resize to fit

contents ", which is not satisfactory for me.

Page 1, tall legend:

https://i.stack.imgur.com/b1p2v.png

Page 2, short legend:

https://i.stack.imgur.com/5ADjB.png

Page 3, tall legend:

https://i.stack.imgur.com/xeOgu.png

I have the Legend properly anchored, here is the preview of page 2:

https://i.stack.imgur.com/NECxj.png

History

#1 - 2018-10-14 11:15 AM - Saber Razmjooei

- Category changed from Map Legend to Map Composer/Printing

#2 - 2018-12-27 08:24 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this reproducible in 3.4?

#3 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

2025-04-26 1/2

https://gis.stackexchange.com/questions/265163/qgis-map-composer-changing-legend-position-when-exporting-atlas-as-images/29838
https://gis.stackexchange.com/questions/265163/qgis-map-composer-changing-legend-position-when-exporting-atlas-as-images/29838


#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

